@need 3200

@node arch Web Site Generation Tools
@chapter arch Web Site Generation Tools

@geindex make-library-browser



To be documented:

@example
@group
   % larch make-library-browser --help
    create or update a library browser
    usage: make-library-browser [options] output-dir [limit]
@end group
@group
@end group
@end example
@example
@group
     -V --version                  print version info
     -h --help                     display help
@end group
@group
@end group
@end example
@example
@group
     --silent                      no output (except odd errors)
     --quiet                       brief output
     --report                      default output
     --verbose                     maximal output
     --debug                       debugging output
@end group
@group
@end group
@end example
@example
@group
     -t --title TITLE              set the page title
     --dists FILE                  specify a distributions spec file
     --configs FILE                specify a configurations spec file
@end group
@group
@end group
@end example
@example
@group
    Create or update web pages describing a revision library.
@end group
@group
@end group
@end example

@noindent
and

@example
@group
  % larch update-distributions --help
  build or update an FTP area
  usage: update-distributions [options] [archive/]revision dist-name ftp-dir
@end group
@group
@end group
@end example
@example
@group
   -V --version                  print version info
   -h --help                     display help
@end group
@group
@end group
@end example
@example
@group
   -R --root root                specify the local archive root
   -A --archive archive          specify the archive name
    --cache DIR                  cache directory for locally cached
                                   revisions
@end group
@group
@end group
@end example
@example
@group
   --config NAME                 after checking out the revision, pass
                                  NAME to "build-config" to complete
                                  the source tree.
@end group
@group
@end group
@end example
@example
@group
   --silent                      no output (except odd errors)
   --quiet                       brief output
   --report                      default output
   --verbose                     maximal output
   --debug                       debugging output
@end group
@group
@end group
@end example
@example
@group
  Ensure that FTP-DIR exists and is populated with the indicated revision
  from the archive.
@end group
@group
@end group
@end example
@example
@group
  The tar file will be named:
@end group
@group
@end group
@end example
@example
@group
        DIST-NAME-$@{VERSION@}$@{SUFFIX@}
@end group
@group
@end group
@end example
@example
@group
  where VERSION is the version number of the revision being packaged, and
  SUFFIX is derived from the patch-level name of the revision.
@end group
@group
@end group
@end example
@example
@group
  The value of $@{SUFFIX@} depends on the revision's patch level, as in
  these examples:
@end group
@group
@end group
@end example
@example
@group
        revision:                               tar file:
@end group
@group
@end group
@end example
@example
@group
        arch--release--1.0--base-0              arch-1.0pre0.tar.gz
        arch--release--1.0--patch-3             arch-1.0pre3.tar.gz
        arch--release--1.0--version-0           arch-1.0.tar.gz
        arch--release--1.0--versionfix-5        arch-1.0.5.tar.gz
@end group
@group
@end group
@end example
@example
@group
  The top-level directory in the tar file has the same name as the tar
  file (but without the ".tar.gz" suffix).
@end group
@group
@end group
@end example



